#include "fdf.h"

void	free_tab(char **tab)
{
	while (*tab)
		free(*tab++);
	free(*tab);
}

void	quit(t_FDF *FDF)
{
	if (FDF && FDF->mw->mlx && FDF->mw->win)
		mlx_destroy_window(FDF->mw->mlx, FDF->mw->win);
	exit(0);
}

void	swap_init(t_swap *s)
{
	s->swap_coord = 0;
	s->swap_x = 1;
	s->swap_z = 0;
}